Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class AbstractQuickTimeStream.TimeToSampleGroup

    java.lang.Object
      org.monte.media.quicktime.AbstractQuickTimeStream.Group
          org.monte.media.quicktime.AbstractQuickTimeStream.TimeToSampleGroup

Enclosing class:
  AbstractQuickTimeStream

    protected static class AbstractQuickTimeStream.TimeToSampleGroup

extends AbstractQuickTimeStream.Group

Groups consecutive smples of the same duration.

Field Summary

Fields inherited from class org.monte.media.quicktime.AbstractQuickTimeStream.Group
`firstSample, lastSample, maxSampleCount, sampleCount`

Constructor Summary
`AbstractQuickTimeStream.TimeToSampleGroup(AbstractQuickTimeStream.Group group)`
`AbstractQuickTimeStream.TimeToSampleGroup(AbstractQuickTimeStream.Sample firstSample)`

Method Summary
`long` | `getSampleDuration()` Returns the duration that all samples in this group share.
`boolean` | `maybeAddChunk(AbstractQuickTimeStream.Chunk chunk)` Returns true, if the chunk was added to the group.
`boolean` | `maybeAddSample(AbstractQuickTimeStream.Sample sample)` Returns true, if the sample was added to the group.

Methods inherited from class org.monte.media.quicktime.AbstractQuickTimeStream.Group
`getSampleCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractQuickTimeStream.TimeToSampleGroup

    public AbstractQuickTimeStream.TimeToSampleGroup(AbstractQuickTimeStream.Sample firstSample)

### AbstractQuickTimeStream.TimeToSampleGroup

    public AbstractQuickTimeStream.TimeToSampleGroup(AbstractQuickTimeStream.Group group)

Method Detail

### maybeAddSample

    public boolean maybeAddSample(AbstractQuickTimeStream.Sample sample)

  Returns true, if the sample was added to the group. If false is returned, the sample must be added to a new group.

  A sample can only be added to a TimeToSampleGroup, if it has the same duration as previously added samples, and if the capacity of the group is not exceeded.

  Overrides:
    `maybeAddSample` in class `AbstractQuickTimeStream.Group`

### maybeAddChunk

    public boolean maybeAddChunk(AbstractQuickTimeStream.Chunk chunk)

  Description copied from class: `AbstractQuickTimeStream.Group`
  Returns true, if the chunk was added to the group. If false is returned, the chunk must be added to a new group.

  A chunk can only be added to a group, if the capacity of the group is not exceeded.

  Overrides:
    `maybeAddChunk` in class `AbstractQuickTimeStream.Group`

### getSampleDuration

    public long getSampleDuration()

  Returns the duration that all samples in this group share.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD